[arch-commits] Commit in seahorse (3 files)
Jan de Groot
jgc at archlinux.org
Sun Sep 6 19:29:49 UTC 2009
Date: Sunday, September 6, 2009 @ 15:29:49
Author: jgc
Revision: 51262
Update to 2.27.90
Remove zip dependency, backup is no longer included in seahorse
Add patch to compile with gpgme 1.2
Added:
seahorse/gnome-unstable/
seahorse/gnome-unstable/seahorse-2.26.2-gpgme-lfs.patch
Modified:
seahorse/gnome-unstable/PKGBUILD
------------------------------------------------+
PKGBUILD | 21 +++++++-----
gnome-unstable/seahorse-2.26.2-gpgme-lfs.patch | 39 +++++++++++++++++++++++
2 files changed, 51 insertions(+), 9 deletions(-)
Modified: gnome-unstable/PKGBUILD
===================================================================
--- trunk/PKGBUILD 2009-09-06 19:03:59 UTC (rev 51261)
+++ gnome-unstable/PKGBUILD 2009-09-06 19:29:49 UTC (rev 51262)
@@ -3,28 +3,31 @@
# Contributor: Michel Brabants <michel.linux at tiscali.be>
pkgname=seahorse
-pkgver=2.26.2
+pkgver=2.27.90
pkgrel=1
pkgdesc="GNOME application for managing PGP keys."
arch=(i686 x86_64)
license=('GPL')
url="http://seahorse.sourceforge.net/"
-depends=('gnome-keyring>=2.26.1' 'libglade>=2.6.4' 'avahi>=0.6.25' 'libnotify>=0.4.5' 'libsoup>=2.26.2' 'gpgme' 'desktop-file-utils' 'zip')
-makedepends=('gettext' 'libldap' 'intltool' 'pkgconfig' 'gnome-doc-utils>=0.16.0' 'openssh')
+depends=('gnome-keyring>=2.27.90' 'avahi>=0.6.25' 'libnotify>=0.4.5' 'libsoup>=2.27.91' 'gpgme>=1.2.0' 'desktop-file-utils' 'hicolor-icon-theme')
+makedepends=('gettext' 'libldap' 'intltool' 'pkgconfig' 'gnome-doc-utils>=0.17.4' 'openssh' 'libsm')
options=('!libtool' '!emptydirs')
groups=('gnome-extra')
replaces=('gnome-keyring-manager')
install=seahorse.install
-source=(http://ftp.gnome.org/pub/GNOME/sources/seahorse/2.26/seahorse-${pkgver}.tar.bz2)
-md5sums=('c5126bd7ddfda3317daa71c06f261034')
+source=(http://ftp.gnome.org/pub/GNOME/sources/seahorse/2.27/seahorse-${pkgver}.tar.bz2
+ seahorse-2.26.2-gpgme-lfs.patch)
+sha256sums=('db2e479f50b5b6477bd0fb432f4c0a601dd951227ce1c37c9cd246e067e01d7d'
+ 'a0cd874dc4e2a79559eb4a4a65349c88e4c9925871493041d662e33b6a53a57d')
build() {
cd "${srcdir}/${pkgname}-${pkgver}"
+ patch -Np1 -i "${srcdir}/seahorse-2.26.2-gpgme-lfs.patch" || return 1
./configure --prefix=/usr --sysconfdir=/etc \
- --localstatedir=/var --disable-static \
- --enable-ldap --enable-hkp \
- --enable-libnotify \
- --disable-scrollkeeper --disable-update-mime-database || return 1
+ --localstatedir=/var --disable-static \
+ --enable-ldap --enable-hkp \
+ --enable-libnotify \
+ --disable-scrollkeeper --disable-update-mime-database || return 1
make || return 1
make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
Added: gnome-unstable/seahorse-2.26.2-gpgme-lfs.patch
===================================================================
--- gnome-unstable/seahorse-2.26.2-gpgme-lfs.patch (rev 0)
+++ gnome-unstable/seahorse-2.26.2-gpgme-lfs.patch 2009-09-06 19:29:49 UTC (rev 51262)
@@ -0,0 +1,39 @@
+diff --exclude-from=/opt/home/dang/.scripts/diffrc -up -ruN seahorse-2.26.2.orig/pgp/seahorse-gpg-op.c seahorse-2.26.2/pgp/seahorse-gpg-op.c
+--- seahorse-2.26.2.orig/pgp/seahorse-gpg-op.c 2009-04-20 11:35:00.000000000 -0400
++++ seahorse-2.26.2/pgp/seahorse-gpg-op.c 2009-07-10 09:43:31.550476889 -0400
+@@ -18,7 +18,9 @@
+ * 59 Temple Place, Suite 330,
+ * Boston, MA 02111-1307, USA.
+ */
+-
++
++#include "config.h"
++
+ #include <glib.h>
+ #include <gpgme.h>
+ #include <string.h>
+diff --exclude-from=/opt/home/dang/.scripts/diffrc -up -ruN seahorse-2.26.2.orig/pgp/seahorse-gpg-options.c seahorse-2.26.2/pgp/seahorse-gpg-options.c
+--- seahorse-2.26.2.orig/pgp/seahorse-gpg-options.c 2009-04-20 11:35:00.000000000 -0400
++++ seahorse-2.26.2/pgp/seahorse-gpg-options.c 2009-07-10 09:36:16.012409729 -0400
+@@ -19,6 +19,11 @@
+ * Boston, MA 02111-1307, USA.
+ */
+
++#include "config.h"
++
++#include "seahorse-util.h"
++#include "seahorse-context.h"
++
+ #include <sys/param.h>
+ #include <sys/wait.h>
+ #include <sys/file.h>
+@@ -31,9 +36,6 @@
+ #include <unistd.h>
+ #include <sys/stat.h>
+
+-#include "seahorse-util.h"
+-#include "seahorse-context.h"
+-
+ #include "pgp/seahorse-gpgme.h"
+ #include "pgp/seahorse-gpg-options.h"
+
More information about the arch-commits
mailing list